<template>
  <div class="circle-wrapper">
    <Guidance v-if="!agree" @clicked="agree = true" />
    <VideoCall
      v-if="agree"
      :video-profile="videoProfile"
      :channel="channel"
      :transcode="transcode"
      :attendee-mode="attendeeMode"
      :base-mode="baseMode"
      :app-id="appId"
      :uid="uid"
    />
  </div>
</template>

<script>
import { mapState } from 'vuex'
import * as Cookies from 'js-cookie'
import config from '@/plugins/agora.config'
import VideoCall from '@/components/Circle/VideoChat'
import Guidance from '@/components/Circle/Guidance'

export default {
  components: {
    VideoCall,
    Guidance
  },

  data: () => ({
    videoProfile: '480p_4',
    channel: Cookies.get('channel') || 'test',
    transcode: Cookies.get('transcode') || 'interop',
    attendeeMode: Cookies.get('attendeeMode') || 'video',
    baseMode: Cookies.get('baseMode') || 'avc',
    uid: undefined,
    agree: false
  }),

  computed: {
    ...mapState('circle', ['circle'])
  },
  watch: {},
  created() {
    this.appId = config.AGORA_APP_ID
    if (!this.appId) alert('Get App ID first!')
  },
  methods: {}
}
</script>

<style lang="scss" scoped>
.circle-wrapper {
  background: #000;
  height: 100%;
  width: 100%;
  position: relative;
}
</style>
